namespace SteamApiWrapper.ReturnTypes;

public struct SupportedAPIInterface(string name, SupportedAPIMethod[]? methods = null)
{
    public readonly string Name = name;
    public readonly SupportedAPIMethod[]? Methods = methods;

    public override string ToString() => Name;

    public static SupportedAPIInterface IPlayerService = new("IPlayerService");
    public static SupportedAPIInterface ISteamWebAPIUtil = new("ISteamWebAPIUtil");
    public static SupportedAPIInterface ISteamUser = new("ISteamUser");
}